"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hexColorValidator = exports.hexColorFinder = void 0;
var _builders = require("../builders");
var _anchors = require("../constructs/anchors");
var _characterClass = require("../constructs/character-class");
var _choiceOf = require("../constructs/choice-of");
var _repeat = require("../constructs/repeat");
const hexDigit = (0, _characterClass.charClass)(_characterClass.digit, (0, _characterClass.charRange)('a', 'f'));

/** Find hex color strings in a text. */
const hexColorFinder = exports.hexColorFinder = (0, _builders.buildRegExp)(['#', (0, _choiceOf.choiceOf)((0, _repeat.repeat)(hexDigit, 6),
// #rrggbb
(0, _repeat.repeat)(hexDigit, 3) // #rgb
), _anchors.wordBoundary], {
  ignoreCase: true,
  global: true
});

/**
 * Check that given text is a valid hex color.
 *
 * Allows both 3 and 6 digit hex colors.
 * */
const hexColorValidator = exports.hexColorValidator = (0, _builders.buildRegExp)([_anchors.startOfString,
// Match whole string
'#', (0, _choiceOf.choiceOf)((0, _repeat.repeat)(hexDigit, 6),
// #rrggbb
(0, _repeat.repeat)(hexDigit, 3) // #rgb
), _anchors.endOfString], {
  ignoreCase: true
});
//# sourceMappingURL=hex-color.js.map