import type { RegexConstruct, RegexElement, RegexSequence } from '../types';
/**
 * Positive lookbehind assertion.
 *
 * A positive lookbehind assertion is a zero-width assertion that matches a group of characters only if it is preceded by a specific group of characters.
 *
 * @example
 * ```ts
 * lookbehind("a");
 * // /(?<=a)/
 *
 * lookbehind(["a", "b", "c"]);
 * // /(?<=abc)/
 * ```
 */
export interface Lookbehind extends RegexConstruct {
    type: 'lookbehind';
    children: RegexElement[];
}
export declare function lookbehind(sequence: RegexSequence): Lookbehind;
//# sourceMappingURL=lookbehind.d.ts.map